export default class Base {
    events: {};
    /**
     * Attach an event handler function.
     *
     * @param {string} event Event name.
     * @param {function} callback Callback.
     */
    on(event: string, callback: Function): void;
    /**
     * Remove an event handler.
     *
     * @param {string} event Event name.
     * @param {function} [callback] Callback.
     */
    off(event: string, callback?: Function): void;
    /**
     * Execute all handlers for the given event type.
     *
     * @param {string} event Event name.
     * @param params Extra parameters.
     */
    trigger(event: string, ...params: any[]): void;
}
//# sourceMappingURL=Base.d.ts.map